dpp::exception
std::exception
dpp::cache_exception
dpp::connection_exception
dpp::file_exception
dpp::length_exception
dpp::logic_exception
dpp::parse_exception
dpp::rest_exception
dpp::task_cancelled_exception
dpp::voice_exception
exception.h
exception_error_code exception_error_code dpp::exception::error_code error_code dpp::exception::error_code

Exception error code.

std::string std::string dpp::exception::msg msg dpp::exception::msg

Exception message.

dpp::exception::exception
()=default
exception
dpp::exception::exception

Construct a new exception object.

dpp::exception::exception
(const char *what)
exception
dpp::exception::exception
const char * what

Construct a new exception object.

what

reason message

dpp::exception::exception
(const char *what, size_t len)
exception
dpp::exception::exception
const char * what
size_t len

Construct a new exception object.

what

reason message

len

length of reason message

dpp::exception::exception
(const exception &)=default
exception
dpp::exception::exception
const exception &

Construct a new exception object (copy constructor).

dpp::exception::exception
(const std::string &what)
exception
dpp::exception::exception
const std::string & what

Construct a new exception object.

what

reason message

dpp::exception::exception
(exception &&)=default
exception
dpp::exception::exception
exception &&

Construct a new exception object (move constructor).

dpp::exception::exception
(exception_error_code code, const char *what)
exception
dpp::exception::exception
exception_error_code code
const char * what

Construct a new exception object.

what

reason message

code

Exception code

dpp::exception::exception
(exception_error_code code, const std::string &what)
exception
dpp::exception::exception
exception_error_code code
const std::string & what

Construct a new exception object.

what

reason message

code

Exception code

dpp::exception::exception
(exception_error_code code, std::string &&what)
exception
dpp::exception::exception
exception_error_code code
std::string && what

Construct a new exception object.

what

reason message

code

Exception code

dpp::exception::exception
(std::string &&what)
exception
dpp::exception::exception
std::string && what

Construct a new exception object.

what

reason message

dpp::exception::~exception
() override=default
~exception
dpp::exception::~exception

Destroy the exception object.

exception_error_code exception_error_code dpp::exception::code () const noexcept code dpp::exception::code

Get exception code.

exception_error_code error code

exception & exception & dpp::exception::operator= (const exception &)=default operator= dpp::exception::operator= const exception &

Copy assignment operator.

exception& reference to self

exception & exception & dpp::exception::operator= (exception &&)=default operator= dpp::exception::operator= exception &&

Move assignment operator.

exception& reference to self

const char * const char * dpp::exception::what () const noexcept override what dpp::exception::what

Get exception message.

const char* error message

The dpp::exception class derives from std::exception and supports some other ways of passing in error details such as via std::string.

dpp::cache_exception
dpp::connection_exception
dpp::exception
dpp::file_exception
dpp::invalid_token_exception
dpp::length_exception
dpp::logic_exception
dpp::parse_exception
dpp::rest_exception
dpp::task_cancelled_exception
dpp::voice_exception
std::exception
dpp::exception
msg
error_code
exception_error_code
std::basic_string< Char >
std::exception
std::string
- dpp::exception
  code
- dpp::exception
  error_code
- dpp::exception
  exception
- dpp::exception
  exception
- dpp::exception
  exception
- dpp::exception
  exception
- dpp::exception
  exception
- dpp::exception
  exception
- dpp::exception
  exception
- dpp::exception
  exception
- dpp::exception
  exception
- dpp::exception
  exception
- dpp::exception
  msg
- dpp::exception
  operator=
- dpp::exception
  operator=
- dpp::exception
  what
- dpp::exception
  ~exception